CHGRP(1)

BEZEICHNUNG
chgrp - Gruppenzugehörigkeit ändern

ÜBERSICHT
chgrp [OPTION]… GRUPPE DATEI…
chgrp [OPTION]… --reference=RDATEI DATEI…

BESCHREIBUNG

Ändern der Gruppen‐Zugehörigkeit für jede DATEI nach GRUPPE. Mit --reference: Ändern der Gruppen‐Zugehörigkeit für jede DATEI auf die von RDATEI.

-c, --changes
    Wie --verbose, aber nur durchgeführte Änderungen berichten

-f, --silent, --quiet
    Die meisten Fehlermeldungen unterdrücken

-v, --verbose
    Eine Diagnose für jede verarbeitete Datei ausgeben

--dereference
    Die referenzierte Datei jedes symbolischen Links ändern statt des symbolischen Links selbst (dies ist die Voreinstellung)

-h, --no-dereference
    Symbolische Links statt der referenzierten Datei ändern (nur nützlich auf Systemen, die für symbolische Links den Besitzer ändern können)

--no-preserve-root
    »/« nicht besonders behandeln (Voreinstellung)

--preserve-root
    Rekursive Bearbeitung von »/« ablehnen

--reference=RDATEI
    RDATEIs Gruppe verwenden anstatt eines GRUPPE‐Wertes

-R, --recursive
    Dateien und Verzeichnisse rekursiv ändern

Die folgenden Optionen bestimmen, wie eine Hierarchie abgearbeitet wird, wenn die Option -R ebenfalls angegeben ist. Wenn mehr als eine angegeben ist, wirkt sich nur die Letzte aus.

-H  Wenn ein Befehlszeilenargument ein symbolischer Link auf ein Verzeichnis ist, dieses durchlaufen

-L  Jeden gefundenen symbolischen Link auf ein Verzeichnis durchlaufen

-P  Überhaupt keine symbolischen Links durchlaufen (Voreinstellung)

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

BEISPIELE

chgrp staff /u
    Ändert die Gruppe von /u zu »staff«.

chgrp -hR staff /u
    Ändert die Gruppe von /u und enthaltener Dateien zu »staff«.

AUTOR
Geschrieben von David MacKenzie und Jim Meyering.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
chown(1), chown(2)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/chgrp>
oder lokal verfügbar mit: info '(coreutils) chgrp invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).